# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "dear-imgui-glow"
version = "0.12.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Glow (OpenGL) renderer backend for dear-imgui-rs"
homepage = "https://github.com/Latias94/dear-imgui-rs"
documentation = "https://docs.rs/dear-imgui-glow"
readme = "README.md"
keywords = [
    "imgui",
    "ui",
    "graphics",
    "docking",
    "multiview",
]
categories = [
    "gui",
    "api-bindings",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Latias94/dear-imgui-rs"
resolver = "2"

[features]
bind_sampler_support = []
bind_vertex_array_support = []
clip_origin_support = []
debug_message_insert_support = []
default = [
    "bind_vertex_array_support",
    "vertex_offset_support",
]
extras = [
    "gl_extensions_support",
    "bind_sampler_support",
    "clip_origin_support",
    "polygon_mode_support",
    "primitive_restart_support",
]
gl_extensions_support = []
multi-viewport = ["dear-imgui-rs/multi-viewport"]
polygon_mode_support = []
primitive_restart_support = []
vertex_offset_support = []

[lib]
name = "dear_imgui_glow"
path = "src/lib.rs"

[dependencies.dear-imgui-rs]
version = "0.12"

[dependencies.glow]
version = "0.17"

[dependencies.memoffset]
version = "0.9"

[dependencies.thiserror]
version = "2.0"

[dev-dependencies.env_logger]
version = "0.11"

[dev-dependencies.pollster]
version = "0.4"

[dev-dependencies.winit]
version = "0.30.13"
